osgDB::WriteFileCallback Class Reference

`#include <Callbacks>`

Inheritance diagram for osgDB::WriteFileCallback:

## Public Member Functions

virtual ReaderWriter::WriteResult | writeObject (const osg::Object &obj, const std::string &fileName, const Options *options)
virtual ReaderWriter::WriteResult | writeImage (const osg::Image &obj, const std::string &fileName, const Options *options)
virtual ReaderWriter::WriteResult | writeHeightField (const osg::HeightField &obj, const std::string &fileName, const Options *options)
virtual ReaderWriter::WriteResult | writeNode (const osg::Node &obj, const std::string &fileName, const Options *options)
virtual ReaderWriter::WriteResult | writeShader (const osg::Shader &obj, const std::string &fileName, const Options *options)
virtual ReaderWriter::WriteResult | writeScript (const osg::Script &obj, const std::string &fileName, const Options *options)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~WriteFileCallback ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## ~WriteFileCallback()

virtual osgDB::WriteFileCallback::~WriteFileCallback | ( |  | ) |

inline protected virtual

## Member Function Documentation

## writeHeightField()

virtual ReaderWriter::WriteResult osgDB::WriteFileCallback::writeHeightField | ( | const osg::HeightField & | obj,
|  | const std::string & | fileName,
|  | const Options * | options )

virtual

Referenced by osgDB::Registry::writeHeightField().

## writeImage()

virtual ReaderWriter::WriteResult osgDB::WriteFileCallback::writeImage | ( | const osg::Image & | obj,
|  | const std::string & | fileName,
|  | const Options * | options )

virtual

Referenced by osgDB::Registry::writeImage().

## writeNode()

virtual ReaderWriter::WriteResult osgDB::WriteFileCallback::writeNode | ( | const osg::Node & | obj,
|  | const std::string & | fileName,
|  | const Options * | options )

virtual

Referenced by osgDB::Registry::writeNode().

## writeObject()

virtual ReaderWriter::WriteResult osgDB::WriteFileCallback::writeObject | ( | const osg::Object & | obj,
|  | const std::string & | fileName,
|  | const Options * | options )

virtual

Referenced by osgDB::Registry::writeObject().

## writeScript()

virtual ReaderWriter::WriteResult osgDB::WriteFileCallback::writeScript | ( | const osg::Script & | obj,
|  | const std::string & | fileName,
|  | const Options * | options )

virtual

Referenced by osgDB::Registry::writeScript().

## writeShader()

virtual ReaderWriter::WriteResult osgDB::WriteFileCallback::writeShader | ( | const osg::Shader & | obj,
|  | const std::string & | fileName,
|  | const Options * | options )

virtual

Referenced by osgDB::Registry::writeShader().

The documentation for this class was generated from the following file:

- osgDB/Callbacks